#include <bits/stdc++.h>
#include <string>

using namespace std;

int main()
{
    long long a,b,c;
    string sa,sb,sc;
    cin >> a >> b >> c;
    while (a>0)
    {
        long long e=a%10;
        a/=10;
        sa.insert(0,1,char(e+int('0')));
    }
    while (b>0)
    {
        long long e=b%10;
        b/=10;
        sb.insert(0,1,char(e+int('0')));
    }
    while (c>0)
    {
        long long e=c%10;
        c/=10;
        sc.insert(0,1,char(e+int('0')));
    }
    string s;
    s=sa+sb+sc;
    string mx=s;
    s=sa+sc+sb;
    if (s>mx) mx=s;
    s=sb+sa+sc;
    if (s>mx) mx=s;
    s=sb+sc+sa;
    if (s>mx) mx=s;
    s=sc+sa+sb;
    if (s>mx) mx=s;
    s=sc+sb+sa;
    if (s>mx) mx=s;
    cout << mx;
    return 0;
}